> For the complete documentation index, see [llms.txt](https://docs.topay.mobi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.topay.mobi/cn/reference/api-reference/crypto-payments/acquiring/wallet-mode.md).

# 钱包模式

{% hint style="warning" %}
每个请求都必须包含[公共参数](/cn/reference/api-reference/common-parameters.md)。
{% endhint %}

## 获取充值地址 <a href="#get-deposit-address" id="get-deposit-address"></a>

获取指定数字货币资产的充值地址。

<mark style="color:green;">`POST`</mark> `https://api.topay.mobi/v1/order/deposit_address`

### 请求体 <a href="#request-body" id="request-body"></a>

| 名称                                                  | 类型     | 说明                      |
| --------------------------------------------------- | ------ | ----------------------- |
| currency<mark style="color:red;">\*</mark>          | String | 要充值的数字货币资产名称            |
| customer\_ref\_id<mark style="color:red;">\*</mark> | String | 商户用于将资金所有者（客户）与交易关联的 ID |
| description                                         | String | 扩展信息，请勿存储敏感信息           |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
   "code":200,
   "message":"success",
   "data": {
        "currency": "USDT_BSC",
        "address": "0x1234567890abcdef1234567890abcdef12345678",
        "tag": ""
    }
}
```

{% endtab %}
{% endtabs %}

<details>

<summary>代码示例</summary>

<pre class="language-javascript"><code class="lang-javascript"><strong>//
</strong>curl --location --request POST 'https://api.topay.mobi/v1/order/deposit_address' \
--header 'Content-Type: application/json' \
--data-raw '{
    "partner_id": "2000001",
    "sign_type": "RSA",
<strong>    "timestamp": "1688371190",
</strong>    "nonce": "abccefeafjkjsl",
    "sign": "examplesignnotcorrect",
    "currency": "USDT_BSC",
    "customer_ref_id": "USER_123",
      "description": ""

}'

</code></pre>

</details>

地址仅供示例说明。请使用 Topay 实际返回的充值地址，或所选网络上真实的收款人地址。

示例中的时间戳和签名为占位值。发送前请生成当前的秒级 Unix 时间戳，并为请求签名。

## 验证充值地址 <a href="#verify-deposit-address" id="verify-deposit-address"></a>

检查地址是否属于平台。

<mark style="color:green;">`POST`</mark> `https://api.topay.mobi/v1/order/verifyDepositAddress`

### 请求体 <a href="#request-body-1" id="request-body-1"></a>

| 名称                                         | 类型     | 说明                          |
| ------------------------------------------ | ------ | --------------------------- |
| currency<mark style="color:red;">\*</mark> | String | 地址对应的数字货币资产名称               |
| address<mark style="color:red;">\*</mark>  | String | 待验证的地址                      |
| tag                                        | String | Ripple 的 tag；EOS/XLM 的 memo |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
 "data":
 {
    "result": true
 },
 "code":"200",
 "message":"Success"
}
```

{% endtab %}
{% endtabs %}
